package com.bcxin.ars.dto;

import java.io.Serializable;
import java.util.List;

public class TreeView implements Serializable {

	/**  */
	private static final long serialVersionUID = -7747928403418216242L;

	private String nodeid;

	private String text;
	
	private String parentid;

	private String code;

	private String orgtype;

	private String level;

	private boolean showExpanded =true;

	public String getOrgtype() {
		return orgtype;
	}

	public void setOrgtype(String orgtype) {
		this.orgtype = orgtype;
	}

	private List<TreeView> nodes;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getNodeid() {
		return nodeid;
	}

	public void setNodeid(String nodeid) {
		this.nodeid = nodeid;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getParentid() {
		return parentid;
	}

	public void setParentid(String parentid) {
		this.parentid = parentid;
	}

	public List<TreeView> getNodes() {
		return nodes;
	}

	public void setNodes(List<TreeView> nodes) {
		this.nodes = nodes;
	}

	public String getLevel() {
		return level;
	}

	public void setLevel(String level) {
		this.level = level;
	}

	public boolean getShowExpanded() {
		return showExpanded;
	}

	public void setShowExpanded(boolean showExpanded) {
		this.showExpanded = showExpanded;
	}
}
